The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> strlen - get string length

#### SYNOPSIS

> ``#include <string.h>
> size_t strlen(const char *`s`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The strlen() function shall compute the number of bytes in the string to which s points, not including the terminating null byte.

#### RETURN VALUE

> The strlen() function shall return the length of s; no return value shall be reserved to indicate an error.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> ##### Getting String Lengths

> The following example sets the maximum length of key and data by using strlen() to get the lengths of those strings.

>     #include <string.h>
>     ...
>     struct element {
>         char *key;
>         char *data;
>     };
>     ...
>     char *key, *data;
>     int len;

>     *keylength = *datalength = 0;
>     ...
>     if ((len = strlen(key)) > *keylength)
>         *keylength = len;
>     if ((len = strlen(data)) > *datalength)
>         *datalength = len;
>     ...

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> The Base Definitions volume of IEEE Std 1003.1-2001, <string.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 5

> The RETURN VALUE section is updated to indicate that strlen() returns the length of s, and not s itself as was previously stated.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]